ش | ی | د | س | چ | پ | ج |
1 | 2 | 3 | 4 | 5 | 6 | 7 |
8 | 9 | 10 | 11 | 12 | 13 | 14 |
15 | 16 | 17 | 18 | 19 | 20 | 21 |
22 | 23 | 24 | 25 | 26 | 27 | 28 |
29 | 30 |
Use version-dependent ProgIDs. If a CreateObject or GetObject function uses a version-independent ProgID, change the function to use a version-dependent ProgID. For example, you would change CreateObject ("AutoCAD.Application") to CreateObject ("AutoCAD.Application.16").
The application object is also the Global object for the ActiveX interface. This means that all the methods and properties for the Application object are available in the global name space.
Use the Quit method to end the AutoCAD session.
Methods | Properties | Events |
Sub Bill()
'Managers to extract/parse AutoCAD drawing informationDim symbb As McadSymbolBBMgrDim bommgr As McadBOMMgrDim BOM As McadBOMDim bomITEM As McadBOMItemDim name As StringDim BOMbit As StringDim data As Variant'Defines the bill of materials managers for extraction Set symbb = ThisDrawing.Application.GetInterfaceObject("SymBBAuto.McadSymbolBBMgr") Set bommgr = symbb.bommgr 'Tests for BOM with the name "MAIN" in drawing, "MAIN" is default when no title border is selected If bommgr.BOMTableExists(ThisDrawing.ModelSpace) Then Set BOM = bommgr.GetBOMTable(ThisDrawing.ModelSpace, "MAIN") Else ThisDrawing.Utility.Prompt "No Usable Parts List" End End If For Each bomITEM In BOM.Items data = bomITEM.data For i = LBound(data) To UBound(data) Debug.Print data(i, 0), data(i, 1) ' Is the; what; the; general; name; of; Column ' ' is the value in the cell Next NextEnd Sub